/*
     Program to determine the DLL-name on the target machine where this
     program is run.

     "Map Java Library Names to Native Filesystem Names"
     Source: http://ringlord.com/platform/java/jni-howto-printable.html

     ---rgf, 2001-04-27

     to run:

        1) compile with: "javac NativeDLLName.java"     (creates a compiled file with the extension ".class"
        2) run with:     "java  NativeDLLName BSF4Rexx" (or any other DLL name you are interested in)
*/

final class NativeDLLName
{
  static final public void main( final String[] args )
  {
    if( args.length == 0 )
      {
        System.out.println( "Give me one or more Java library names "+
                            "to display as native names" );
        return;
      }

    final String os = (String)System.getProperties().get("os.name");
    for( int i=0; i<args.length; i++ )
      {
        System.out.println( "On '"+os+"' "+
                            "the library '"+args[i]+"' "+
                            "maps to '"+System.mapLibraryName(args[i])+"'" );
      }
  }
}

